Fix library compatibility
authorMathieu Desnoyers <mathieu.desnoyers@efficios.com>
Thu, 24 May 2012 20:56:08 +0000 (16:56 -0400)
committerMathieu Desnoyers <mathieu.desnoyers@efficios.com>
Thu, 24 May 2012 20:56:08 +0000 (16:56 -0400)
commit3db1417f5d2f17fdb62f328650c888ae3097c4c5
treeeee199324aa9a40b54decdacaf6b439004ac06c3
parent9128481d8b45419448b45e7e0f336a63f74d8364
Fix library compatibility

Commit 4d0d66bb795d1ed938e11a97a4e5f71326e20c71, implementing
tls-compat.h for pthread TLS compatibility, adds a prefix in front of
each TLS symbol (__tls_*). However, some of these symbols are exported
by the URCU library (e.g. rcu_reader_mb, defined in urcu.c as
"rcu_reader", which is overloaded by the urcu/map/urcu.h) to
applications. Therefore, this breaks binary compatibility with 0.6.x
versions of the library. This is not intended, and therefore is a bug,
so we remove this __tls_* prefix from the variables declared, defined
and referenced to through the tls-compat.h API for compilers supporting
"__thread".

Signed-off-by: Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
urcu/tls-compat.h
This page took 0.032936 seconds and 4 git commands to generate.